/*
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

define([
    "dijit/registry"
], function(registry) {
    return function() {
        var args = arguments;
        if (args[0] !== undefined) {
            var params = args[0];
            if (typeof params.id === 'undefined') {
                params.id = registry.getUniqueId(this.declaredClass);
            }
            args[0] = params;
        }
        this.inherited(args);
    };
});

