<?php
/**
 * @Copyright © 2002-2018 Acronis International GmbH. All rights reserved
 */

namespace Acronis\App\Database;

class Migration extends BaseMigration
{
    const UP_SQL_PATH = '';
    const DOWN_SQL_PATH = '';
    const DESCRIPTION = '';

    public function getDescription()
    {
        return static::DESCRIPTION;
    }

    public function up($connection)
    {
        $this->executeSqlFile($connection, static::UP_SQL_PATH);
    }

    public function down($connection)
    {
        $this->executeSqlFile($connection, static::DOWN_SQL_PATH);
    }
}