<?php

/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */
class Service_MspApiClient_Response_Struct_UsageReportBodyItem
{
    /**
     * @var integer
     */
    private $storageId;

    /**
     * @var string
     */
    private $storageName;

    /**
     * @var integer
     */
    private $totalStorage;

    /**
     * @var integer
     */
    private $productionStorage;

    /**
     * @var integer
     */
    private $productionWorkstations;

    /**
     * @var integer
     */
    private $productionServers;

    /**
     * @var integer
     */
    private $productionVms;

    /**
     * @var integer
     */
    private $productionMailboxes;

    /**
     * @var integer
     */
    private $productionMobiles;

    /**
     * @var integer
     */
    private $productionWebsites;

    /**
     * @var integer
     */
    private $productionWorkstationsStorage;

    /**
     * @var integer
     */
    private $groupId;

    /**
     * @var integer
     */
    private $productionStorageOrphaned;

    /**
     * @return int
     */
    public function getStorageId()
    {
        return $this->storageId;
    }

    /**
     * @param int $storageId
     */
    public function setStorageId($storageId)
    {
        $this->storageId = $storageId;
    }

    /**
     * @return string
     */
    public function getStorageName()
    {
        return $this->storageName;
    }

    /**
     * @param string $storageName
     */
    public function setStorageName($storageName)
    {
        $this->storageName = $storageName;
    }

    /**
     * @return int
     */
    public function getTotalStorage()
    {
        return $this->totalStorage;
    }

    /**
     * @param int $totalStorage
     */
    public function setTotalStorage($totalStorage)
    {
        $this->totalStorage = $totalStorage;
    }

    /**
     * @return int
     */
    public function getProductionStorage()
    {
        return $this->productionStorage;
    }

    /**
     * @param int $productionStorage
     */
    public function setProductionStorage($productionStorage)
    {
        $this->productionStorage = $productionStorage;
    }

    /**
     * @return int
     */
    public function getProductionWorkstations()
    {
        return $this->productionWorkstations;
    }

    /**
     * @param int $productionWorkstations
     */
    public function setProductionWorkstations($productionWorkstations)
    {
        $this->productionWorkstations = $productionWorkstations;
    }

    /**
     * @return int
     */
    public function getProductionServers()
    {
        return $this->productionServers;
    }

    /**
     * @param int $productionServers
     */
    public function setProductionServers($productionServers)
    {
        $this->productionServers = $productionServers;
    }

    /**
     * @return int
     */
    public function getProductionVms()
    {
        return $this->productionVms;
    }

    /**
     * @param int $productionVms
     */
    public function setProductionVms($productionVms)
    {
        $this->productionVms = $productionVms;
    }

    /**
     * @return int
     */
    public function getProductionMailboxes()
    {
        return $this->productionMailboxes;
    }

    /**
     * @param int $productionMailboxes
     */
    public function setProductionMailboxes($productionMailboxes)
    {
        $this->productionMailboxes = $productionMailboxes;
    }

    /**
     * @return int
     */
    public function getProductionMobiles()
    {
        return $this->productionMobiles;
    }

    /**
     * @param int $productionMobiles
     */
    public function setProductionMobiles($productionMobiles)
    {
        $this->productionMobiles = $productionMobiles;
    }

    /**
     * @return int
     */
    public function getProductionWebsites()
    {
        return $this->productionWebsites;
    }

    /**
     * @param int $productionWebsites
     */
    public function setProductionWebsites($productionWebsites)
    {
        $this->productionWebsites = $productionWebsites;
    }

    /**
     * @return mixed
     */
    public function getProductionWorkstationsStorage()
    {
        return $this->productionWorkstationsStorage;
    }

    /**
     * @param mixed $productionWorkstationsStorage
     */
    public function setProductionWorkstationsStorage($productionWorkstationsStorage)
    {
        $this->productionWorkstationsStorage = $productionWorkstationsStorage;
    }

    /**
     * @return int
     */
    public function getGroupId()
    {
        return $this->groupId;
    }

    /**
     * @param int $groupId
     */
    public function setGroupId($groupId)
    {
        $this->groupId = $groupId;
    }

    /**
     * @return int
     */
    public function getProductionStorageOrphaned()
    {
        return $this->productionStorageOrphaned;
    }

    /**
     * @param int $productionStorageOrphaned
     */
    public function setProductionStorageOrphaned($productionStorageOrphaned)
    {
        $this->productionStorageOrphaned = $productionStorageOrphaned;
    }

    public function toArray()
    {
        return array(
            Service_MspApiClient_Response_GetUsageReport::PROPERTY_BODY_STORAGE_ID => $this->storageId,
            Service_MspApiClient_Response_GetUsageReport::PROPERTY_BODY_STORAGE_NAME => $this->storageName,
            Service_MspApiClient_Response_GetUsageReport::PROPERTY_BODY_TOTAL_STORAGE => $this->totalStorage,
            Service_MspApiClient_Response_GetUsageReport::PROPERTY_BODY_PRODUCTION_STORAGE => $this->productionStorage,
            Service_MspApiClient_Response_GetUsageReport::PROPERTY_BODY_PRODUCTION_WORKSTATIONS => $this->productionWorkstations,
            Service_MspApiClient_Response_GetUsageReport::PROPERTY_BODY_PRODUCTION_SERVERS => $this->productionServers,
            Service_MspApiClient_Response_GetUsageReport::PROPERTY_BODY_PRODUCTION_VMS => $this->productionVms,
            Service_MspApiClient_Response_GetUsageReport::PROPERTY_BODY_PRODUCTION_MAILBOXES => $this->productionMailboxes,
            Service_MspApiClient_Response_GetUsageReport::PROPERTY_BODY_PRODUCTION_MOBILES => $this->productionMobiles,
            Service_MspApiClient_Response_GetUsageReport::PROPERTY_BODY_PRODUCTION_WEBSITES => $this->productionWebsites,
            Service_MspApiClient_Response_GetUsageReport::PROPERTY_BODY_PRODUCTION_STORAGE_WORKSTATIONS => $this->productionWorkstationsStorage,
            Service_MspApiClient_Response_GetUsageReport::PROPERTY_BODY_GROUP_ID => $this->groupId,
            Service_MspApiClient_Response_GetUsageReport::PROPERTY_BODY_PRODUCTION_STORAGE_ORPHANED => $this->productionStorageOrphaned,
        );
    }
}
