<?php

/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */
class Service_PbaApi_Api_Request_GetAccount extends Service_PbaApi_Client_Request
{
    const METHOD = 'AccountGet';

    /**
     * Service_PbaApi_Api_Request_GetAccount constructor.
     * @param int $accountId
     */
    public function __construct($accountId)
    {
        parent::__construct(self::METHOD, array((int)$accountId));
    }

    /**
     * Method returns details of specified subscription.
     *
     * @param array $responseArray
     * @return Service_PbaApi_Api_Response_Struct_Account
     */
    public function getExpectedResponse(array $responseArray = null)
    {
        return new Service_PbaApi_Api_Response_GetAccount($responseArray);
    }
}
