<?php

/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */
class Service_PbaApi_Api_Response_Struct_Account
{
    /**
     * @var int
     */
    private $intAccountAccountID;

    /**
     * @var string
     */
    private $loginLink;

    /**
     * @var string
     */
    private $loginLinkCurrLang;

    /**
     * @var int
     */
    private $vendorAccountID;

    /**
     * @var int
     */
    private $type;

    /**
     * @var string
     */
    private $localeID;

    /**
     * @var int|null
     */
    private $statementDay;

    /**
     * @var int | null
     */
    private $lastBillingDate;

    /**
     * @return int
     */
    public function getIntAccountAccountID()
    {
        return $this->intAccountAccountID;
    }

    /**
     * @param int $intAccountAccountID
     */
    public function setIntAccountAccountID($intAccountAccountID)
    {
        $this->intAccountAccountID = $intAccountAccountID;
    }

    /**
     * @return string
     */
    public function getLoginLink()
    {
        return $this->loginLink;
    }

    /**
     * @param string $loginLink
     */
    public function setLoginLink($loginLink)
    {
        $this->loginLink = $loginLink;
    }

    /**
     * @return string
     */
    public function getLoginLinkCurrLang()
    {
        return $this->loginLinkCurrLang;
    }

    /**
     * @param string $loginLinkCurrLang
     */
    public function setLoginLinkCurrLang($loginLinkCurrLang)
    {
        $this->loginLinkCurrLang = $loginLinkCurrLang;
    }

    /**
     * @return int
     */
    public function getVendorAccountID()
    {
        return $this->vendorAccountID;
    }

    /**
     * @param int $vendorAccountID
     */
    public function setVendorAccountID($vendorAccountID)
    {
        $this->vendorAccountID = $vendorAccountID;
    }

    /**
     * @return int
     */
    public function getType()
    {
        return $this->type;
    }

    /**
     * @param int $type
     */
    public function setType($type)
    {
        $this->type = $type;
    }

    /**
     * @return string
     */
    public function getLocaleID()
    {
        return $this->localeID;
    }

    /**
     * @param string $localeID
     */
    public function setLocaleID($localeID)
    {
        $this->localeID = $localeID;
    }

    /**
     * @return int|null
     */
    public function getStatementDay()
    {
        return $this->statementDay;
    }

    /**
     * @param int|null $statementDay
     */
    public function setStatementDay($statementDay)
    {
        $this->statementDay = $statementDay;
    }

    /**
     * @return int|null
     */
    public function getLastBillingDate()
    {
        return $this->lastBillingDate;
    }

    /**
     * @param int|null $lastBillingDate
     */
    public function setLastBillingDate($lastBillingDate)
    {
        $this->lastBillingDate = $lastBillingDate;
    }
}
