<?php
/**
 * @Copyright © 2002-2018 Acronis International GmbH. All rights reserved
 */

namespace Acronis\App\UsageReport;

interface FormatParserInterface
{
    /**
     * @param string[] $columnNames
     */
    public function setColumnNames($columnNames);

    /**
     * @param $row
     * @return ReportRowWrapper
     * @throws \Exception
     */
    public function parseRow($row);
}