<?php
/**
 * @Copyright © 2002-2019 Acronis International GmbH. All rights reserved
 */

class ResourceQuotas
{
    /** @var int[] */
    private $qoutas;

    /**
     * @param string $quotaName
     * @return int
     */
    public function getQuota($quotaName)
    {
        return isset($this->qoutas[$quotaName]) ? $this->qoutas[$quotaName] : null;
    }

    /**
     * @param string $quotaName
     * @param int $quotaValue
     */
    public function setQuota($quotaName, $quotaValue)
    {
        $this->qoutas[$quotaName] = $quotaValue;
    }
}


