<?php
/**
 * @Copyright © 2002-2018 Acronis International GmbH. All rights reserved
 */

namespace Acronis\App\Database;

abstract class BaseMigration implements MigrationInterface
{
    /**
     * @param \PDO $connection
     * @param string $filePath
     */
    protected function executeSqlFile($connection, $filePath)
    {
        $sql = file_get_contents($filePath);
        $connection->exec($sql);
    }
}