<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */

class Service_AmsApiClient_Request_Struct_RemoteConnection
    implements Service_AmsApiClient_Request_Struct_RemoteConnectionInterface
{
    const FIELD_ACCESS_TOKEN = 'access_token';

    /** @var  string */
    private $_accessToken;

    /**
     * @param string $accessToken
     */
    public function setAccessToken($accessToken)
    {
        $this->_accessToken = $accessToken;
    }

    /**
     * @return string
     */
    public function getAccessToken()
    {
        return $this->_accessToken;
    }

    /**
     * @return array
     */
    public function toArray()
    {
        return array(
            self::FIELD_ACCESS_TOKEN => $this->getAccessToken()
        );
    }
} 