<?php
/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */
 

class Service_MspApiClient_Response_Struct_Factory implements Service_MspApiClient_Response_Struct_FactoryInterface
{
    /**
     * @return Service_MspApiClient_Response_Struct_UserItem
     */
    public function getUserItem()
    {
        return new Service_MspApiClient_Response_Struct_UserItem();
    }

    /**
     * @return Service_MspApiClient_Response_Struct_AdministratorItem
     */
    public function getAdministratorItem()
    {
        return new Service_MspApiClient_Response_Struct_AdministratorItem();
    }

    /**
     * @return Service_MspApiClient_Response_Struct_GroupInfo
     */
    public function getGroupInfo()
    {
        return new Service_MspApiClient_Response_Struct_GroupInfo();
    }

    /**
     * @return Service_MspApiClient_Response_Struct_CreateGroup
     */
    public function getCreateGroup()
    {
        return new Service_MspApiClient_Response_Struct_CreateGroup();
    }

    /**
     * @return Service_MspApiClient_Response_Struct_Account
     */
    public function getAccount()
    {
        return new Service_MspApiClient_Response_Struct_Account();
    }

    /**
     * @param int $id
     * @param int $version
     * @param string $name
     * @param string $uid
     * @param string $uuid
     * @param int $kind
     * @param int $owner
     * @param string $spaceUsage
     * @param int $inherited
     * @param int $active
     * @param string $contentUrl
     * @return Service_MspApiClient_Response_Struct_Storage
     */
    public function getStorage($id, $version, $name, $uid, $uuid, $kind, $owner, $spaceUsage, $inherited, $active, $contentUrl)
    {
        return new Service_MspApiClient_Response_Struct_Storage(
            $id, $version, $name, $uid, $uuid, $kind, $owner, $spaceUsage, $inherited, $active, $contentUrl
        );
    }
} 