<?php

/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */
class Service_PbaApi_Api_Request_GetSubscriptionDetails extends Service_PbaApi_Client_Request
{
    const METHOD = 'SubscriptionDetailsGet_API';

    /**
     * @param int $subscriptionId
     */
    public function __construct($subscriptionId)
    {
        parent::__construct(self::METHOD, array(
            (int)$subscriptionId
        ));
    }

    /**
     * Method returns details of specified subscription.
     *
     * @param array $responseArray
     * @return Service_PbaApi_Api_Response_GetSubscriptionDetails
     */
    public function getExpectedResponse(array $responseArray = null)
    {
        return new Service_PbaApi_Api_Response_GetSubscriptionDetails($responseArray);
    }
}
