<?php

/**
 * @Copyright © 2002-2017 Acronis International GmbH. All rights reserved
 */
interface Service_PbaApi_Api_Response_Struct_SubscriptionResourcesListInterface
{
    /**
     * @return int
     */
    public function getResourceId();

    /**
     * @param int $resourceId
     */
    public function setResourceId($resourceId);

    /**
     * @return int
     */
    public function getResourceRateId();
    /**
     * @param int $resourceRateId
     */
    public function setResourceRateId($resourceRateId);

    /**
     * @return string
     */
    public function getResourceName();

    /**
     * @param string $resourceName
     */
    public function setResourceName($resourceName);

    /**
     * @return string
     */
    public function getStoreDescription();

    /**
     * @param string $storeDescription
     */
    public function setStoreDescription($storeDescription);

    /**
     * @return string
     */
    public function getStorePriceText();

    /**
     * @param string $storePriceText
     */
    public function setStorePriceText($storePriceText);

    /**
     * @return int
     */
    public function getStoreSortOrder();

    /**
     * @param int $storeSortOrder
     */
    public function setStoreSortOrder($storeSortOrder);

    /**
     * @return string
     */
    public function getStatus();

    /**
     * @param string $status
     */
    public function setStatus($status);

    /**
     * @return string
     */
    public function getResourceCategory();

    /**
     * @param string $resourceCategory
     */
    public function setResourceCategory($resourceCategory);

    /**
     * @return float
     */
    public function getIncludedAmount();

    /**
     * @param float $includedAmount
     */
    public function setIncludedAmount($includedAmount);

    /**
     * @return float
     */
    public function getAdditionalAmount();

    /**
     * @param float $additionalAmount
     */
    public function setAdditionalAmount($additionalAmount);

    /**
     * @return float
     */
    public function getUsedAmount();

    /**
     * @param float $usedAmount
     */
    public function setUsedAmount($usedAmount);

    /**
     * @return float
     */
    public function getOrderedAmount();

    /**
     * @param float $orderedAmount
     */
    public function setOrderedAmount($orderedAmount);

    /**
     * @return string
     */
    public function getUnit();

    /**
     * @param string $unit
     */
    public function setUnit($unit);

    /**
     * @return int
     */
    public function getMinUnits();

    /**
     * @param int $minUnits
     */
    public function setMinUnits($minUnits);

    /**
     * @return int
     */
    public function getMaxUnits();

    /**
     * @param int $maxUnits
     */
    public function setMaxUnits($maxUnits);

    /**
     * @return int
     */
    public function getMeasurable();

    /**
     * @param int $measurable
     */
    public function setMeasurable($measurable);

    /**
     * @return string
     */
    public function getRelativeStatus();

    /**
     * @param string $relativeStatus
     */
    public function setRelativeStatus($relativeStatus);

    /**
     * @return string
     */
    public function getOrderNumber();

    /**
     * @param string $orderNumber
     */
    public function setOrderNumber($orderNumber);

    /**
     * @return float
     */
    public function getSetupFee();

    /**
     * @param float $setupFee
     */
    public function setSetupFee($setupFee);

    /**
     * @return float
     */
    public function getRecurringFee();

    /**
     * @param float $recurringFee
     */
    public function setRecurringFee($recurringFee);

    /**
     * @return float
     */
    public function getOveruseFee();

    /**
     * @param float $overuseFee
     */
    public function setOveruseFee($overuseFee);

    /**
     * @return string
     */
    public function getLocation();

    /**
     * @param string $location
     */
    public function setLocation($location);

    /**
     * @return int
     */
    public function getIsOveruseFeeTiered();

    /**
     * @param int $isOveruseFeeTiered
     */
    public function setIsOveruseFeeTiered($isOveruseFeeTiered);

    /**
     * @return int
     */
    public function getIsRecurringFeeTiered();

    /**
     * @param int $iRecurringFeeTiered
     */
    public function setIsRecurringFeeTiered($iRecurringFeeTiered);

    /**
     * @return int
     */
    public function getIsSetupFeeTiered();

    /**
     * @param int $isSetupFeeTiered
     */
    public function setIsSetupFeeTiered($isSetupFeeTiered);
}
