<?php
/**
 * @Copyright © 2002-2018 Acronis International GmbH. All rights reserved
 */

namespace Acronis\App\Services\CountersManager;

use Acronis\App\Services\FactoryInterface;

class CountersManagerFactory implements FactoryInterface
{
    const NAME = 'application_counters';

    /**
     * @return CountersManager
     */
    public function createInstance()
    {
        $generator = new CountersGenerator(file_get_contents(DIR_APP . DS . 'application_counters.yaml'));
        return new CountersManager($generator->getCounters());
    }
}